#include <math.h>

/* Math functions that are available under C but not FORTRAN */
void cj0_(x)
double	*x;
{
	*x = (double) j0((double) *x);
}

void cj1_(x)
double	*x;
{
	*x = (double) j1((double) *x);
}

void *cceil_(x)
double	*x;
{

	*x = (double) ceil((double) *x);

}

void *cfloor_(x)
double	*x;
{

	*x = (double) floor((double) *x);

}

void *crint_(x)
double	*x;
{

	*x = (double) rint((double) *x);

}

void *casinh_(x)
double	*x;
{

	*x = (double) asinh((double) *x);

}

void *cacosh_(x)
double	*x;
{

	*x = (double) acosh((double) *x);

}

void *catanh_(x)
double	*x;
{

	*x = (double) atanh((double) *x);

}

/* had some problems with FORTRAN cube root (negative numbers
 * gave wrong results.
 * Try the C version instead...
 */

void *ccbrt_(x)
double	*x;
{

	*x = (double) cbrt((double) *x);

}
